package com.bonus.canteen.core.bus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
   value = "BusDeviceVO",
   description = "班车线路设备展示"
)
public class BusDeviceVO {
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("设备编号")
   private String deviceNum;
   @ApiModelProperty("设备名称")
   private String deviceName;
   @ApiModelProperty("设备sn码")
   private String deviceSn;
   @ApiModelProperty("设备Key")
   private String deviceKey;

   public Long getDeviceId() {
      return this.deviceId;
   }

   public String getDeviceNum() {
      return this.deviceNum;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public String getDeviceKey() {
      return this.deviceKey;
   }

   public BusDeviceVO setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public BusDeviceVO setDeviceNum(final String deviceNum) {
      this.deviceNum = deviceNum;
      return this;
   }

   public BusDeviceVO setDeviceName(final String deviceName) {
      this.deviceName = deviceName;
      return this;
   }

   public BusDeviceVO setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
      return this;
   }

   public BusDeviceVO setDeviceKey(final String deviceKey) {
      this.deviceKey = deviceKey;
      return this;
   }
}
